> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> List all users in the account.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/users
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/users:
    get:
      tags:
        - User Role Assignments
      summary: List users
      description: List all users in the account.
      operationId: UsersListHandler.get
      parameters:
        - in: query
          name: limit
          required: false
          description: >-
            Limit the number of returned items. Falls back to default of 1000 if
            not specified. Limited by max limit value of 1000
          schema:
            default: 1000
            description: >-
              Limit the number of returned items. Falls back to default of 1000
              if not specified. Limited by max limit value of 1000
            example: 100
            examples:
              - 100
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Offset value is used to exclude the first set of records from the
            result
          schema:
            default: 0
            description: >-
              Offset value is used to exclude the first set of records from the
              result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: user_id
          required: false
          description: User ID for filtering
          schema:
            description: User ID for filtering
            example: 123
            examples:
              - 123
            title: User Id
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientUsersCollectionSerializer'
components:
  schemas:
    ClientUsersCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/ClientUsersSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: ClientUsersCollectionSerializer
      type: object
    ClientUsersSerializer:
      properties:
        activated:
          description: True if the user is active
          example: true
          examples:
            - true
          title: Activated
          type: boolean
        email:
          description: User email
          example: johnsmith@gmail.com
          examples:
            - johnsmith@gmail.com
          format: email
          title: Email
          type: string
        id:
          description: User ID
          example: 123
          examples:
            - 123
          title: Id
          type: integer
        is_admin:
          description: True if the user has admin role
          example: true
          examples:
            - true
          title: Is Admin
          type: boolean
        name:
          description: User name
          example: John
          examples:
            - John
          title: Name
          type: string
      required:
        - id
        - name
        - email
        - activated
        - is_admin
      title: Client users schema
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````